Subject: grow: question about draft-grow-bounded-longest-match-04.txt

From: Nick Feamster <[email-masked]>
Date: Tue, 12 Aug 2003 11:55:54 -0400

Hello,

I have a couple of questions about the following example from section 2.2
in draft-grow-bounded-longest-match-00.txt, and about how the proposed
mechanism works in other scenarios.

                      (   )
             /-------( AS2 )--------\
      (   ) /         (   )         ( R1   )       (   )
     ( AS1 )                       ( AS4  R2)-----( AS5 )
      (   ) \         (   )         ( R3   )       (   )
             \-------( AS3 )--------/
                      (   )

   o    AS1 is advertising 192.168.1.0/24 to both AS2 and AS3.

   o    AS2 is advertising both 192.168.1.0/24 and 192.168.0.0/16 into
        AS4

   o    AS3 is advertising 192.168.1.0/24 into AS4

   When R1 receives both the 192.168.1.0/24 and the 192.168.0.0/16 pre-
   fixes, it will mark the 192.168.1.0/24 as NO_EXPORT, and set the
   local preference to a high value, as described in the section Setting
   the Local Preference, below, and will then propogate this through
   AS4.

Questions:

	1. How does R3 distinguish between a failure between AS2 and R1,
		(in which it will want to advertise the /24 it hears from
		AS 3), and a failure between R1 and R3 (in which it will
		probably not want to readvertise the /24 it learns
		locally...although, under the proposed scheme, it will)?

	   If R3 can't hear R1 for whatever reason, it won't know
	   whether the AS2-R1 link has failed.  However, just because R3
	   can't hear R1 doesn't mean that R1 wants to advertise the
	   more specific route.

	2. This example seems to assume that AS1's upstreams will
	   readvertise directly to a common AS (in this case, AS4), that
	   will hear the overlapping prefixes.  It seems that there are
	   two more general cases that could break this assumption.

		a. AS2 goes through an intermediate AS before reaching
		AS4, which aggregates and simply readvertises the /16.
		In this case, I think R3 will still readvertise the /24
		to AS5, right?

		(I notice someone else pointed this out in a previous
		message, but I couldn't find a reply in the archive.)

		b. AS2 and AS3 do not share a common upstream provider.  
		In this case, does the proposed method apply?  

	3. If AS1 had a third upstream provider (say AS6) that does not
           advertise to AS4, then AS5 and its providers would only see the /16, 	   but AS6's upstreams would see the /24.  This would seem to break the 	   load balance that AS1 may have intended, right?

Thanks for clarifying my understanding.

Thanks,
Nick
____________________________________________________________
Web Archive:     http://darkwing.uoregon.edu/~llynch/grow/